BackendHTTP APISyncs
Delete sync variant
Requires an API key with the environment:syncs:variant:delete scope. Learn more about API key scopes.
DELETE
Deletes a sync variant for a specific connection
bearerAuthheader
AuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
name*stringThe name of the sync
variant*stringThe name of the variant to delete. Cannot be "base" (protected name).
application/json- body
provider_config_key*stringThe integration ID used when creating the connection
connection_id*stringThe ID of the connection the sync variant belongs to
Successfully deleted the sync variant
application/json- response
success*booleanIndicates if the deletion was successful
curl -X DELETE 'https://api.tenklo.dev/sync/string/variant/string' \ -H 'Content-Type: application/json' \ -d '{ "provider_config_key": "string", "connection_id": "string"}'Example Response
{ "success": true}